org.fourthline.cling.support.contentdirectory.callback

## Enum Browse.Status

- java.lang.Object
- - java.lang.Enum<Browse.Status>
  - - org.fourthline.cling.support.contentdirectory.callback.Browse.Status

- All Implemented Interfaces:
    Serializable, Comparable<Browse.Status>
  Enclosing class:
    Browse

      public static enum Browse.Status
      extends Enum<Browse.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADING`
    `NO_CONTENT`
    `OK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultMessage()`
    `static Browse.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Browse.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CONTENT

          public static final Browse.Status NO_CONTENT

    - #### LOADING

          public static final Browse.Status LOADING

    - #### OK

          public static final Browse.Status OK

  - ### Method Detail

    - #### values

          public static Browse.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Browse.Status c : Browse.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Browse.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultMessage

          public String getDefaultMessage()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.